Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Class NotConstraintComponent

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.NotConstraintComponent

- All Implemented Interfaces:
    `ConstraintComponent`, `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`

      public class NotConstraintComponent
      extends AbstractConstraintComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `ConstraintComponent.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `VALUES_INJECTION_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotConstraintComponent​(Resource id, RepositoryConnection connection, org.eclipse.rdf4j.sail.shacl.ast.Cache cache, ShaclSail shaclSail)` |
    `NotConstraintComponent​(NotConstraintComponent notConstraintComponent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintComponent` | `deepClone()` |
    `org.eclipse.rdf4j.sail.shacl.ast.ValidationQuery` | `generateSparqlValidationQuery​(ConnectionsGroup connectionsGroup, boolean logValidationPlans, boolean negatePlan, boolean negateChildren, ConstraintComponent.Scope scope)` |
    `PlanNode` | `generateTransactionalValidationPlan​(ConnectionsGroup connectionsGroup, boolean logValidationPlans, PlanNodeProvider overrideTargetNode, ConstraintComponent.Scope scope)` |
    `PlanNode` | `getAllTargetsPlan​(ConnectionsGroup connectionsGroup, ConstraintComponent.Scope scope)` |
    `SourceConstraintComponent` | `getConstraintComponent()` |
    `boolean` | `requiresEvaluation​(ConnectionsGroup connectionsGroup, ConstraintComponent.Scope scope)` |
    `void` | `setTargetChain​(TargetChain targetChain)` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `buildSparqlValidNodes_rsx_targetShape, getId, getOptimalBulkValidationApproach, getPreferredValidationApproach, getTargetChain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotConstraintComponent

          public NotConstraintComponent​(Resource id,
                                        RepositoryConnection connection,
                                        org.eclipse.rdf4j.sail.shacl.ast.Cache cache,
                                        ShaclSail shaclSail)

    - #### NotConstraintComponent

          public NotConstraintComponent​(NotConstraintComponent notConstraintComponent)

  - ### Method Detail

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### setTargetChain

          public void setTargetChain​(TargetChain targetChain)

      Specified by:
        `setTargetChain` in interface `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`
      Overrides:
        `setTargetChain` in class `AbstractConstraintComponent`

    - #### getConstraintComponent

          public SourceConstraintComponent getConstraintComponent()

    - #### generateSparqlValidationQuery

          public org.eclipse.rdf4j.sail.shacl.ast.ValidationQuery generateSparqlValidationQuery​(ConnectionsGroup connectionsGroup,
                                                                                                boolean logValidationPlans,
                                                                                                boolean negatePlan,
                                                                                                boolean negateChildren,
                                                                                                ConstraintComponent.Scope scope)

      Specified by:
        `generateSparqlValidationQuery` in interface `ConstraintComponent`
      Overrides:
        `generateSparqlValidationQuery` in class `AbstractConstraintComponent`

    - #### generateTransactionalValidationPlan

          public PlanNode generateTransactionalValidationPlan​(ConnectionsGroup connectionsGroup,
                                                              boolean logValidationPlans,
                                                              PlanNodeProvider overrideTargetNode,
                                                              ConstraintComponent.Scope scope)

      Specified by:
        `generateTransactionalValidationPlan` in interface `ConstraintComponent`
      Overrides:
        `generateTransactionalValidationPlan` in class `AbstractConstraintComponent`

    - #### getAllTargetsPlan

          public PlanNode getAllTargetsPlan​(ConnectionsGroup connectionsGroup,
                                            ConstraintComponent.Scope scope)

      Specified by:
        `getAllTargetsPlan` in interface `ConstraintComponent`
      Overrides:
        `getAllTargetsPlan` in class `AbstractConstraintComponent`

    - #### deepClone

          public ConstraintComponent deepClone()

    - #### requiresEvaluation

          public boolean requiresEvaluation​(ConnectionsGroup connectionsGroup,
                                            ConstraintComponent.Scope scope)

      Specified by:
        `requiresEvaluation` in interface `ConstraintComponent`
      Overrides:
        `requiresEvaluation` in class `AbstractConstraintComponent`
      Returns:
        true if the constraint component should be evaluated, eg. if validation is needed.